//Header file for ran1, RandomNormal, and NormalDeviates functions.
//Based on code from Numerical Recipes in C and early 
//version, randomnormal.h, created 4/23/03.
//Created 9/25/03

#define IA 16807
#define IM 2147483647
#define AM (1.0/IM)
#define IQ 127773
#define IR 2836
#define NTAB 32
#define NDIV (1+(IM-1)/NTAB)
#define EPS 1.2e-7
#define RNMX (1.0-EPS)


//Initialize both with negative long.

float ran1(long *);  //returns a random number between 0 and 1.
					 //to call you ran1(& temp) where temp is type long.	

float StdNorm(long *);  //returns a random number drawn from standard normal.
							 //to call use RandomNormal(& temp) where temp is type long.

